import java.awt.GridLayout;
import java.awt.MenuBar;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JPanel;
import javax.swing.event.ListSelectionEvent;
import javax.swing.event.ListSelectionListener;


public class MenuExample extends JFrame
{
    private JMenuBar menuBar;
    private JMenu menu;
    private JMenuItem item1;
    private JMenuItem item2;
    private JPanel panel;
    private JList displayList;
    
    public MenuExample()
    {
        this.setSize(300, 400);
        this.setLocationRelativeTo (null);
        this.setLayout (new GridLayout(2,0));
       
        menuBar = new JMenuBar();
        this.setJMenuBar (menuBar);
        
        menu = new JMenu("File");
        menuBar.add (menu);
        
        item1 = new JMenuItem("Save first half");
        item2 = new JMenuItem("Save second half");
        
        menu.add (item1);
        menu.add (item2);
        
        item1.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                System.out.println("first half saved");
            }
        });
        
        item2.addActionListener (new ActionListener() {
            public void actionPerformed(ActionEvent e) {
                System.out.println("second half saved");
            }
        });
        
        
        /// Panel
        panel = new JPanel();
        this.add(panel);
        
        String[] strgs = {"Foo", "Bar", 
               "Baz", "FooBar"};
        
        displayList = new JList<String>(strgs);
        
        panel.add (displayList);
        
        displayList.addListSelectionListener(new ListSelectionListener(){
            public void valueChanged(ListSelectionEvent e){
                System.out.println("***************");
                System.out.println(displayList.getSelectedValuesList ());
            }
        });
        
        
        this.setDefaultCloseOperation (JFrame.EXIT_ON_CLOSE);
        this.setVisible (true);
        
        
        
    }
    /**
     * @param args
     */
    public static void main(String[] args)
    {
        MenuExample frame = new MenuExample();

    }

}
